# $Revision: 1.12 $, $Date: 2006/05/31 12:54:38 $
%define		_vendor_name	ocamldbi
%define		ocaml_ver	1:3.09.2
Summary:	Database independent layer
Summary(pl):	Niezalene od bazy danych API dla ocamla
Name:		ocaml-dbi
Version:	0.9.11
Release:	4
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://savannah.nongnu.org/download/modcaml/%{_vendor_name}-%{version}.tar.gz
# Source0-md5:	b22a0aeb956c9049359579cd2cba33fd
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-mysql-devel
BuildRequires:	ocaml-pcre-devel
BuildRequires:	ocaml-postgres-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ocamldbi is a database independent layer for Objective CAML (OCaml)
patterned upon Perl DBI.

Currently there are drivers for PostgreSQL and MySQL, and you can use
Perl DBD (database drivers) if you have Perl4Caml installed.

%description -l pl
ocamldbi to niezalena od bazy danych warstwa dla Objective CAML-a
(OCamla) wzorowana na perlowym DBI.

Aktualnie dostpne s sterowniki dla PostgreSQL-a i MySQL-a oraz mona
uywa perlowych sterownikw DBD, jeli zainstalowany jest Perl4Caml.

%package devel
Summary:	Database independent layer - development part
Summary(pl):	Niezalene od bazy danych API dla ocamla - cz programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
ocamldbi is a database independent layer for Objective CAML (OCaml)
patterned upon Perl DBI. Currently there are drivers for PostgreSQL
and MySQL, and you can use Perl DBD (database drivers) if you have
Perl4Caml installed.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
ocamldbi to niezalena od bazy danych warstwa dla Objective CAML-a
(OCamla) wzorowana na perlowym DBI. Aktualnie dostpne s sterowniki
dla PostgreSQL-a i MySQL-a oraz mona uywa perlowych sterownikw
DBD, jeli zainstalowany jest Perl4Caml.

Ten pakiet zawiera pliki potrzebne do tworzenia programw w OCamlu z
uyciem tej biblioteki.

%package postgres-driver
Summary:	Database independent layer - PostgreSQL driver
Summary(pl):	Warstwa niezalena od bazy danych - sterownik do PostgreSQL-a
Group:		Development/Libraries
Requires:	ocaml-dbi-devel >= 0.9.10-2
%requires_eq	ocaml

%description postgres-driver
ocamldbi is a database independent layer for Objective CAML (OCaml)
patterned upon Perl DBI. This subpackage containes driver for
PostgreSQL.

%description postgres-driver -l pl
ocamldbi to niezalena od bazy danych warstwa dla Objective CAML-a
(OCamla) wzorowana na perlowym DBI. Ten pakiet zawiera sterownik dla
PostgreSQL-a.

%package mysql-driver
Summary:	Database independent layer - MySQL driver
Summary(pl):	Warstwa niezalena od bazy danych - sterownik do MySQL-a
Group:		Development/Libraries
Requires:	ocaml-dbi-devel >= 0.9.10-2
%requires_eq	ocaml

%description mysql-driver
ocamldbi is a database independent layer for Objective CAML (OCaml)
patterned upon Perl DBI. This subpackage containes driver for MySQL.

%description mysql-driver -l pl
ocamldbi to niezalena od bazy danych warstwa dla Objective CAML-a
(OCamla) wzorowana na perlowym DBI. Ten pakiet zawiera sterownik dla
MySQL-a.

%prep
%setup -q -n %{_vendor_name}-%{version}

%build
%{__make} -j1 \
	all opt \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/dbi
install *.cm[ixao]* *.a $RPM_BUILD_ROOT%{_libdir}/ocaml/dbi

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/dbi
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/dbi/META <<EOF
requires = ""
version = "%{version}"
directory = "+dbi"
archive(byte) = "dbi.cma"
archive(native) = "dbi.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING.LIB *.mli html
%dir %{_libdir}/ocaml/dbi
%{_libdir}/ocaml/dbi/*.cm[ixa]*
%{_libdir}/ocaml/dbi/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/dbi

%files postgres-driver
%defattr(644,root,root,755)
%{_libdir}/ocaml/dbi/dbi_postgres.cmo

%files mysql-driver
%defattr(644,root,root,755)
%{_libdir}/ocaml/dbi/dbi_mysql.cmo

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-dbi.spec,v $
Revision 1.12  2006/05/31 12:54:38  glen
- rel 4 (rebuild with ocaml-3.09.2)

Revision 1.11  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.10  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.9  2005/12/12 13:37:39  baggins
- up to 0.9.11

Revision 1.8  2004/12/25 17:55:32  qboosh
- cleanups

Revision 1.7  2004/12/14 23:20:09  qboosh
- fixed License (LGPL with OCaml linking exception)

Revision 1.6  2004/12/14 23:12:16  qboosh
- pl for new packages

Revision 1.5  2004/12/12 20:45:08  dobrek
- added subpackage for postgres and mysql driver perl4caml driver is not
  ready yet

Revision 1.4  2004/12/07 22:04:53  qboosh
- remaining pl, cosmetics

Revision 1.3  2004/12/06 18:31:54  dobrek
- wrong Summary field in -devel subpackage

Revision 1.2  2004/12/06 18:27:56  ankry
- cosmetics

Revision 1.1  2004/12/06 18:22:36  dobrek
- initial release
- adapterized
- with md5sum
